<?php
	
	class ParseIniFileNode extends BaseNode
	{
		public function getDescription()
		{
			return $this->format("Parse ini file <b>%path</b> and store result in array <b>%variable</b>");
		}
		
		public function process()
		{
			return $this->format("$%variable = parse_ini_file(%path);");
		}
	}
	
	class ParseIniFileNodeFactory extends NodeFactory
	{
		public function getName()
		{
			return "Parse INI file";
		}
		
		public function getGroup()
		{
			return "INI";
		}
		
		public function instantiate($blueprint)
		{
			if($blueprint)
				return new ParseIniFileNode($this, $blueprint);
			
			return null;
		}
		
		public function queryAttributeList()
		{
			return array(
				array("name" => "path", "required" => true),
				array("name" => "variable", "required" => true)
			);
		}
	}
	
	NodeList::registerFactory(new ParseIniFileNodeFactory);